timeline
Return a list of time intervals and the number of detections for each interval, including intervals where no source images were captured, along with meta information.
GET /api/v2/events/836/timeline/?format=api
{ "data": [ { "start": "2023-08-31T03:55:43", "end": "2023-08-31T03:56:43", "first_capture": { "id": 4133005, "details": "https://api.beluga.insectai.org/api/v2/captures/4133005/?format=api", "user_permissions": [] }, "top_capture": { "id": 4133007, "details": "https://api.beluga.insectai.org/api/v2/captures/4133007/?format=api", "user_permissions": [] }, "captures_count": 3, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-08-31T03:56:43", "end": "2023-08-31T03:57:43", "first_capture": { "id": 4133008, "details": "https://api.beluga.insectai.org/api/v2/captures/4133008/?format=api", "user_permissions": [] }, "top_capture": { "id": 4133011, "details": "https://api.beluga.insectai.org/api/v2/captures/4133011/?format=api", "user_permissions": [] }, "captures_count": 4, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-08-31T03:57:43", "end": "2023-08-31T03:58:43", "first_capture": { "id": 4133012, "details": "https://api.beluga.insectai.org/api/v2/captures/4133012/?format=api", "user_permissions": [] }, "top_capture": { "id": 4133013, "details": "https://api.beluga.insectai.org/api/v2/captures/4133013/?format=api", "user_permissions": [] }, "captures_count": 2, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-08-31T03:58:43", "end": "2023-08-31T03:59:39", "first_capture": { "id": 4133014, "details": "https://api.beluga.insectai.org/api/v2/captures/4133014/?format=api", "user_permissions": [] }, "top_capture": { "id": 4133017, "details": "https://api.beluga.insectai.org/api/v2/captures/4133017/?format=api", "user_permissions": [] }, "captures_count": 4, "detections_count": 1, "detections_avg": 1, "was_processed": true } ], "meta": { "total_intervals": 4, "resolution_minutes": 1, "max_detections": 1, "min_detections": 0, "total_detections": 1, "timeline_start": "2023-08-31T03:55:43", "timeline_end": "2023-08-31T03:59:39" } }